.page-gallery {

  h1 {
    font: 40px/40px $lato-sb;
    text-align: center;
    margin-bottom: 10px;

    &:before {
      content: '';
      width: 100px;
      height: 5px;
      display: block;
      margin: 40px auto 15px;
      background: $aqua;
    }
  }

  .main {

    &-wrapp {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 20px;
      margin-top: 30px;
      margin-bottom: 40px;

      @include respond-to(mobile) {
        grid-template-columns: repeat(1, 1fr);
        grid-template-areas: ".";
      }
  
      &_item {
        background: #fff;
        box-shadow: 0 3px 10px -2px rgba(0,0,0,.1);
        text-decoration: none;
        
        &-image {
          width: 100%;
          overflow: hidden;
          position: relative;
          background-position: center;
          background-size: cover;
          background-repeat: no-repeat;

          @include respond-to(mobile) {
            height: 30vh;
          }

          @include respond-to(laptop) {
            height: 264px;
          }

          @include respond-to(desktop) {
            height: 330px;
          }

          &:before {
            content: '';
            width: 100%;
            height: 100%;
            display: block;
            position: absolute;
            top: 0; left: 0;
            @include img-hover;
            z-index: 2;
            opacity: 0;
            @include transition;
          }
        }

        &-text {
          padding: 15px 30px 30px;

          @include respond-to(mobile) {
            padding: 0 10px 10px;
          }

          h2 {
            @include respond-to(mobile) {
              font: 22px/26px $lato-r;
              padding: 19px 10px 0;
            }
    
            @include respond-to(mac) {
              font: 26px/36px $lato-r;
              padding: 19px 10px 0;
            }
          }

          p {

            @include respond-to(mobile) {
              font: 14px/22px $rsl-r;
              padding: 9px 10px 0;
            }
    
            @include respond-to(mac) {
              font: 16px/26px $rsl-r;
              padding: 9px 10px 0;
            }
          }

          span {

            @include respond-to(mobile) {
              color: $gray;
              font: 12px/22px $lato-i;
              padding: 0 10px;
            }
    
            @include respond-to(mac) {
              color: $gray;
              font: 14px/24px $lato-i;
              padding: 0 10px;
            }
          }
        }

        &:hover {

          @include respond-to(mac) {

            .main-wrapp_item-image {
  
              &:before {
                opacity: 1;
              }
            }
  
            h2 {
              color: $aqua;
            }
          }
        }
      }
    }
  }

  &.page {

    p {
      color: #999;
      font: 16px/26px $lato-r;
      text-align: center;
      @include respond;
    }

    .wp {

      &-block {
  
        &-gallery {
          display: grid;
          grid-template-columns: repeat(3, 1fr);
          grid-gap: 10px;
          margin: 30px 0 40px;
  
          @include respond-to(mobile) {
            grid-template-columns: 1fr;
            grid-template-areas: ".";
            grid-gap: 3px;
          }
  
          li {
            cursor: zoom-in;
  
            figure {
              margin: 0;
              overflow: hidden;
              position: relative;
              height: 250px;
  
              @include respond-to(mobile) {
                height: auto;
              }

              @include respond-to(laptop) {
                height: 200px;
              }
  
              img {
                max-width: 100% !important;
                @include transition;
                @include transform(scale(1));
              }
  
              &:before {
                content: '';
                width: 100%;
                height: 100%;
                display: block;
                position: absolute;
                top: 0; left: 0;
                z-index: 1;
                opacity: 0;
                @include gradient-radial($tr, #000);
                @include transition;
              }
  
              &:hover {
  
                img {
                  @include transform(scale(1.1));
                }
  
                &:before {
                  opacity: .5;
                }
              }
            }
  
            figcaption {
              display: none;
            }
          }
        }
      }
    }
  }
}